<script setup lang="ts">
import type { BaseForm } from '@/types/base';

defineProps({
  formData: {
    type: Object as PropType<BaseForm>,
    required: true,
  },
});
</script>

<template>
  <SlpContainer class="form-wrapper">
    <div class="form-container">
      <CommonMktoForm v-bind="formData" />
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.form-wrapper {
  .form-container {
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 4px;
    @media (min-width: $breakpoint-lg) {
      padding: $spacing-32;
    }
    :deep(.mktoForm button.mktoButton) {
      margin-top: 20px !important;
    }
  }
  @media (min-width: $breakpoint-lg) {
    padding: 0 $spacing-32;
  }
}
</style>
